Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api
Interface IParameterMetaData

All Superinterfaces:
  IBaseParameterMetaData

    public interface IParameterMetaData

extends IBaseParameterMetaData

Describes the metadata of a parameter in an `IPreparedQuery`. A parameter's metadata is defined based on a query's runtime meta-data (as described by underlying its data source driver), merging with static input and output parameter hints specified in a data set design.

Method Summary
`java.lang.String` | `getDataTypeName()` Returns the data type name of this parameter.
`java.lang.String` | `getDefaultInputValue()` Returns the default value of this input parameter.
`java.lang.String` | `getNativeTypeName()` Returns the data provider specific data type name of this parameter.
`int` | `getPrecision()` Returns the maximum number of decimal digits of this parameter.
`int` | `getScale()` Returns the maximum number of digits to the right of the decimal point of this parameter.
`java.lang.Boolean` | `isInputMode()` Returns whether this parameter is an input parameter.
`java.lang.Boolean` | `isOutputMode()` Returns whether this parameter is an output parameter.

Methods inherited from interface org.eclipse.birt.data.engine.api.IBaseParameterMetaData
`getDataType, getName, getPosition, isNullable, isOptional`

Method Detail

### isInputMode

    java.lang.Boolean isInputMode()

  Returns whether this parameter is an input parameter. A parameter can be of both input and output modes.

  Returns:
    true if this parameter is an input parameter, false if it is output only, or null if its input mode is unknown.

### isOutputMode

    java.lang.Boolean isOutputMode()

  Returns whether this parameter is an output parameter. A parameter can be of both input and output modes.

  Returns:
    true if this parameter is an output parameter, false if it is input only, or null if its output mode is unknown.

### getDataTypeName

    java.lang.String getDataTypeName()
                                     throws org.eclipse.birt.core.exception.BirtException

  Returns the data type name of this parameter.

  Returns:
    The data type name of this parameter.
  Throws:
    `DataException`
    `org.eclipse.birt.core.exception.BirtException`

### getDefaultInputValue

    java.lang.String getDefaultInputValue()

  Returns the default value of this input parameter.

  Returns:
    the default value if known, null if not specified or if this is an output only parameter.

### getNativeTypeName

    java.lang.String getNativeTypeName()

  Returns the data provider specific data type name of this parameter.

  Returns:
    the data type name as defined by the data provider.

### getScale

    int getScale()

  Returns the maximum number of digits to the right of the decimal point of this parameter.

  Returns:
    the scale of the parameter, or -1 if the scale is not specified or unknown.

### getPrecision

    int getPrecision()

  Returns the maximum number of decimal digits of this parameter.

  Returns:
    the precision of the parameter, or -1 if the scale is not specified or unknown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.